"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.CardExpandableHeader = exports.CardHeader = exports.TabsHeaderContainer = exports.EmptyHeader = void 0;

var _react = _interopRequireWildcard(require("react"));

var _styledComponents = _interopRequireWildcard(require("styled-components"));

var _practicalReactComponentsIcons = require("practical-react-components-icons");

var _padding = require("./padding");

var _Typography = require("../Typography");

var _Expandable = require("../Expandable");

var _Menu = require("../Menu");

var _designparams = require("../designparams");

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function _getRequireWildcardCache() { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var HEADER_HEIGHT = {
  small: '40px',
  normal: '48px',
  large: '60px'
};
var ICON_CONTAINER_WIDTH = '72px';
/**
 * Empty header with just a bottom border
 */

var EmptyHeader = _styledComponents.default.div.withConfig({
  displayName: "CardHeader__EmptyHeader",
  componentId: "sc-1cmks1w-0"
})(["flex:none;box-sizing:border-box;width:100%;height:100%;color:", ";border-bottom:1px solid ", ";"], (_ref) => {
  var {
    theme
  } = _ref;
  return theme.color.text04();
}, (_ref2) => {
  var {
    theme
  } = _ref2;
  return theme.color.element12();
});

exports.EmptyHeader = EmptyHeader;
var TitleHeader = (0, _styledComponents.default)(EmptyHeader).withConfig({
  displayName: "CardHeader__TitleHeader",
  componentId: "sc-1cmks1w-1"
})(["position:relative;display:flex;flex-direction:row;flex-wrap:nowrap;align-items:center;height:", ";cursor:default;", ""], (_ref3) => {
  var {
    height
  } = _ref3;
  return HEADER_HEIGHT[height];
}, (_ref4) => {
  var {
    hasIcon
  } = _ref4;
  return hasIcon ? (0, _styledComponents.css)(["padding-right:", ";"], _padding.CARD_PADDING) : (0, _styledComponents.css)(["padding:0 ", ";"], _padding.CARD_PADDING);
});

var HeaderIcon = _styledComponents.default.div.withConfig({
  displayName: "CardHeader__HeaderIcon",
  componentId: "sc-1cmks1w-2"
})(["width:", ";height:100%;display:flex;align-items:center;justify-content:center;color:", ";"], ICON_CONTAINER_WIDTH, (_ref5) => {
  var {
    theme
  } = _ref5;
  return theme.color.element11();
});

var TitleContainer = _styledComponents.default.div.withConfig({
  displayName: "CardHeader__TitleContainer",
  componentId: "sc-1cmks1w-3"
})(["flex:auto;display:flex;flex-direction:column;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;"]);

/* Header container for inside tabs */
var TabsHeaderContainer = (0, _styledComponents.default)(EmptyHeader).withConfig({
  displayName: "CardHeader__TabsHeaderContainer",
  componentId: "sc-1cmks1w-4"
})(["display:flex;flex-direction:row;flex-wrap:nowrap;align-items:center;height:", ";padding:0 ", ";"], (_ref6) => {
  var {
    height
  } = _ref6;
  return HEADER_HEIGHT[height];
}, _designparams.spacing.large);
exports.TabsHeaderContainer = TabsHeaderContainer;

var CardHeader = (_ref7) => {
  var {
    header,
    subhead,
    height = 'normal',
    icon,
    menu,
    tab = false,
    children
  } = _ref7,
      props = _objectWithoutProperties(_ref7, ["header", "subhead", "height", "icon", "menu", "tab", "children"]);

  var hasIcon = icon !== undefined;

  if (tab) {
    return /*#__PURE__*/_react.default.createElement(TabsHeaderContainer, _extends({
      height: height
    }, props), children);
  }

  return /*#__PURE__*/_react.default.createElement(TitleHeader, _extends({
    height: height,
    hasIcon: hasIcon
  }, props), icon !== undefined ? /*#__PURE__*/_react.default.createElement(HeaderIcon, null, icon) : undefined, /*#__PURE__*/_react.default.createElement(TitleContainer, null, /*#__PURE__*/_react.default.createElement(_Typography.Typography, {
    variant: "card-title"
  }, header), /*#__PURE__*/_react.default.createElement(_Typography.Typography, {
    variant: "caption"
  }, subhead)), menu !== undefined ? /*#__PURE__*/_react.default.createElement(_Menu.Menu, {
    icon: _practicalReactComponentsIcons.MoreVertIcon,
    items: menu
  }) : undefined);
};
/**
 * Expandable header
 */


exports.CardHeader = CardHeader;
var ExpandableTitleHeader = (0, _styledComponents.default)(TitleHeader).withConfig({
  displayName: "CardHeader__ExpandableTitleHeader",
  componentId: "sc-1cmks1w-5"
})(["cursor:", ";", ";"], (_ref8) => {
  var {
    disabled
  } = _ref8;
  return disabled ? undefined : 'pointer';
}, (_ref9) => {
  var {
    expanded
  } = _ref9;
  return !expanded ? (0, _styledComponents.css)(["transition:border-bottom 50ms ease-in-out 200ms;border-bottom-color:transparent;"]) : undefined;
});

var CardExpandableHeader = (_ref10) => {
  var {
    header,
    subhead,
    height = 'normal',
    icon,
    disabled = false,
    expanded = false,
    onToggle
  } = _ref10,
      props = _objectWithoutProperties(_ref10, ["header", "subhead", "height", "icon", "disabled", "expanded", "onToggle"]);

  var hasIcon = icon !== undefined;
  var onClick = (0, _react.useCallback)(() => {
    if (!disabled) {
      onToggle(!expanded);
    }
  }, [disabled, onToggle, expanded]);
  return /*#__PURE__*/_react.default.createElement(ExpandableTitleHeader, _extends({
    height: height,
    disabled: disabled,
    expanded: expanded,
    onClick: onClick,
    hasIcon: hasIcon
  }, props), icon !== undefined ? /*#__PURE__*/_react.default.createElement(HeaderIcon, null, icon) : undefined, /*#__PURE__*/_react.default.createElement(TitleContainer, null, /*#__PURE__*/_react.default.createElement(_Typography.Typography, {
    variant: "card-title"
  }, header), /*#__PURE__*/_react.default.createElement(_Typography.Typography, {
    variant: "caption"
  }, subhead)), /*#__PURE__*/_react.default.createElement(_Expandable.Arrow, {
    disabled: disabled,
    expanded: expanded
  }));
};

exports.CardExpandableHeader = CardExpandableHeader;