import React from 'react';
import { ITranslationMeridiem } from '.';
interface ITimePickerProps {
    /**
     * Current date value as date object
     */
    readonly date: Date;
    /**
     * Fires when date value is changed
     */
    readonly onChange: React.Dispatch<React.SetStateAction<Date>>;
}
/**
 * TimePickerTwentyFour
 *
 * Shows a clock component with 24 hour time options
 */
export declare const TimePickerTwentyFour: React.FC<ITimePickerProps>;
interface ITimePickerAMPMProps extends ITimePickerProps {
    /**
     * AM/PM translation labels
     */
    readonly hour12MeridiemLabels: ITranslationMeridiem;
}
/**
 * TimePickerAMPM
 *
 * Shows a clock component with AM/PM format.
 */
export declare const TimePickerAMPM: React.FunctionComponent<ITimePickerAMPMProps>;
/**
 * MinutePicker
 *
 * Shows a clock component with minute values
 */
export declare const MinutePicker: React.FC<ITimePickerProps>;
export {};
