import React, { FC, Dispatch, SetStateAction } from 'react';
import { IExpandableListItem } from '.';
declare type BaseElement = HTMLDivElement;
declare type BaseProps = React.HTMLAttributes<BaseElement>;
export interface IExpandableListItemProps extends BaseProps {
    readonly item: IExpandableListItem;
    readonly expandedItems: ReadonlyArray<string>;
    readonly setExpandedItems: Dispatch<SetStateAction<ReadonlyArray<string>>>;
    readonly isNestedItem: boolean;
}
/**
 * ExpandableListItem
 *
 * The ExpandableListItem component (recursive component) wraps and builds the item in the list.
 * It may contain an array of nested items, each of which will be wrapped in this
 * component as well.
 *
 */
export declare const ExpandableListItem: FC<IExpandableListItemProps>;
export {};
