import React from 'react';
import { IconType } from '../Icon';
interface IListItemMarkerBaseProps {
    readonly selected: boolean;
    readonly expanded: boolean;
}
interface IListItemContainerBaseProps extends IListItemMarkerBaseProps {
    readonly childSelected: boolean;
    readonly isNestedItem: boolean;
    readonly hasChildren: boolean;
}
interface IListItemContainerProps extends IListItemContainerBaseProps {
    readonly onClick?: VoidFunction;
    readonly icon: IconType;
    readonly label: string;
}
/**
 * ListItemContainer
 *
 * The ListItemContainer component is used for the styling of the list item.
 * Label, icon, marker, selected item with and without nested items
 * are styled according to the design spec that can be found
 * at the top of index.ts file
 *
 */
export declare const ListItemContainer: React.FC<IListItemContainerProps>;
export {};
