import React, { FC } from 'react';
import { IconType } from '../Icon';
export * from './ExpandableListItem';
declare type BaseElement = HTMLDivElement;
declare type BaseProps = React.HTMLAttributes<BaseElement>;
export interface IExpandableListItem {
    readonly id: string;
    readonly label: string;
    readonly icon: IconType;
    readonly selected?: boolean;
    readonly onClick?: VoidFunction;
    readonly items?: ReadonlyArray<IExpandableListItem>;
}
interface IExpandableListProps extends BaseProps {
    /**
     * `class` to be passed to the component.
     */
    readonly className?: BaseProps['className'];
    /**
     * Used to create an array of items.
     */
    readonly items: ReadonlyArray<IExpandableListItem>;
}
export declare const ExpandableListContainer: import("styled-components").StyledComponent<"div", import("styled-components").DefaultTheme, {}, never>;
export declare const ExpandableList: FC<IExpandableListProps>;
