import React from 'react';
import { IButtonProps } from '../Button';
declare type BaseElement = HTMLInputElement;
declare type BaseProps = React.InputHTMLAttributes<BaseElement>;
interface IFilePickerProps extends Pick<IButtonProps, 'variant' | 'accent' | 'label' | 'icon'>, BaseProps {
    /**
     * `class` to be passed to the component.
     */
    readonly className?: BaseProps['className'];
    /**
     * Callback that fires when user has chosen a file.
     * @param file the chosen file
     */
    readonly onFileChange?: (file?: File) => void;
}
/**
 * FilePicker
 *
 * Can be used when file input from user is needed.
 *
 * The component is built with a Button component. When the user
 * clicks the button a input file chooser dialog will appear.
 *
 */
export declare const FilePicker: React.FC<IFilePickerProps>;
export {};
