import React from 'react';
import { IStepperAction, IStepContent } from '.';
export declare const StepControls: import("styled-components").StyledComponent<"div", import("styled-components").DefaultTheme, {}, never>;
interface IStepProps extends Omit<IStepContent, 'content'> {
    /**
     * The function that run on action button click in the last stepper step.
     */
    readonly completeAction: IStepperAction;
    /**
     * The function that runs on previous button click.
     */
    readonly prevAction: IStepperAction;
    /**
     * The function that runs on next button click.
     */
    readonly nextAction: IStepperAction;
    /**
     * The function that runs on reset button click.
     */
    readonly resetAction: IStepperAction;
    readonly children: React.ReactNode;
    readonly currentStep: number;
    readonly stepId: number;
    readonly setCurrentStep: (step: number) => void;
    readonly completedSteps: ReadonlyArray<number>;
    readonly setCompletedSteps: (steps: ReadonlyArray<number>) => void;
    readonly numberOfSteps: number;
    readonly hasAnyErrors: boolean;
    readonly disableNext?: boolean;
}
export declare const Step: React.FC<IStepProps>;
export {};
