"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.removeAllToasts = exports.removeToast = exports.createToast = exports.IToastActionType = void 0;
var toastCounter = 0;
var IToastActionType;
exports.IToastActionType = IToastActionType;

(function (IToastActionType) {
  IToastActionType[IToastActionType["TOAST_CREATE"] = 0] = "TOAST_CREATE";
  IToastActionType[IToastActionType["TOAST_REMOVE"] = 1] = "TOAST_REMOVE";
  IToastActionType[IToastActionType["TOAST_REMOVE_ALL"] = 2] = "TOAST_REMOVE_ALL";
})(IToastActionType || (exports.IToastActionType = IToastActionType = {}));

var createToast = function createToast(toast) {
  var id = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : "practical-".concat(++toastCounter);
  return {
    id,
    type: IToastActionType.TOAST_CREATE,
    data: toast
  };
};

exports.createToast = createToast;

var removeToast = id => ({
  id,
  type: IToastActionType.TOAST_REMOVE
});

exports.removeToast = removeToast;
var removeAllToasts = {
  type: IToastActionType.TOAST_REMOVE_ALL
};
exports.removeAllToasts = removeAllToasts;