import { IToastAction, ToastId } from './toastActions';
import { IBaseToast } from './Toast';
export declare type IToastsMap = ReadonlyMap<ToastId, IBaseToast>;
/**
 * Given the current state (toast map) and an action,
 * produce a new state depending on the action.
 * The new map of toasts (id => toast) is immutable.
 *
 * @param state The map of id -> toast connections
 * @param action The required action
 */
export declare const toastReducer: (state: IToastsMap, action: IToastAction) => IToastsMap | Map<any, any>;
